import {useState} from 'react';
import {createContext} from 'use-context-selector';

export function useContextState() {
  return useState<string[]>([]);
}

export const context = createContext<ReturnType<typeof useContextState>>(
  [[], () => null],
);
